For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Keys Configuration

API key policies and permissions.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns the API Keys configuration

application/json
publicKeystringRequired

RSA public key for verifying API key authentication tokens

Example: -----BEGIN PUBLIC KEY----- ... -----END PUBLIC KEY-----
privateKeystringRequired

RSA private key preview for signing API key authentication tokens

Example: -----BEGIN PRIVATE KEY-----MIIEvgIBAD*****
keysSourcestring · enumRequired

Source of the keys (tenant, environment, or none)

Example: tenantPossible values:
get/tenants/{tenantId}/integrations/api-keys
GET /apis/v2/tenants/{tenantId}/integrations/api-keys HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "publicKey": "-----BEGIN PUBLIC KEY-----\n...\n-----END PUBLIC KEY-----",
  "privateKey": "-----BEGIN PRIVATE KEY-----MIIEvgIBAD*****",
  "keysSource": "tenant",
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
publicKeystringOptional

RSA public key for verifying API key authentication tokens

Example: -----BEGIN PUBLIC KEY----- ... -----END PUBLIC KEY-----
privateKeystringOptional

RSA private key preview for signing API key authentication tokens

Example: -----BEGIN PRIVATE KEY-----MIIEvgIBAD*****
Responses
200

Returns the updated API Keys configuration

application/json
publicKeystringRequired

RSA public key for verifying API key authentication tokens

Example: -----BEGIN PUBLIC KEY----- ... -----END PUBLIC KEY-----
privateKeystringRequired

RSA private key preview for signing API key authentication tokens

Example: -----BEGIN PRIVATE KEY-----MIIEvgIBAD*****
keysSourcestring · enumRequired

Source of the keys (tenant, environment, or none)

Example: tenantPossible values:
patch/tenants/{tenantId}/integrations/api-keys
PATCH /apis/v2/tenants/{tenantId}/integrations/api-keys HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 131

{
  "publicKey": "-----BEGIN PUBLIC KEY-----\n...\n-----END PUBLIC KEY-----",
  "privateKey": "-----BEGIN PRIVATE KEY-----MIIEvgIBAD*****"
}
{
  "publicKey": "-----BEGIN PUBLIC KEY-----\n...\n-----END PUBLIC KEY-----",
  "privateKey": "-----BEGIN PRIVATE KEY-----MIIEvgIBAD*****",
  "keysSource": "tenant",
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns the API Keys configuration status

application/json
canChangeSourcebooleanRequired

Whether scenario selector should be disabled

Example: false
keysSourcestring · enumRequired

Current source of the keys

Example: environmentPossible values:
get/tenants/{tenantId}/integrations/api-keys/status
GET /apis/v2/tenants/{tenantId}/integrations/api-keys/status HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "availableScenarios": [
    "create tenant keys",
    "migrate to tenant keys"
  ],
  "canChangeSource": false,
  "keysSource": "environment",
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
scenariostring · enumRequired

Scenario to execute for changing API keys source

Example: create tenant keysPossible values:
Responses
200

Returns the updated API Keys configuration after changing source

application/json
publicKeystringRequired

RSA public key for verifying API key authentication tokens

Example: -----BEGIN PUBLIC KEY----- ... -----END PUBLIC KEY-----
privateKeystringRequired

RSA private key preview for signing API key authentication tokens

Example: -----BEGIN PRIVATE KEY-----MIIEvgIBAD*****
keysSourcestring · enumRequired

Source of the keys (tenant, environment, or none)

Example: tenantPossible values:
post/tenants/{tenantId}/integrations/api-keys/change-source
POST /apis/v2/tenants/{tenantId}/integrations/api-keys/change-source HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 33

{
  "scenario": "create tenant keys"
}
{
  "publicKey": "-----BEGIN PUBLIC KEY-----\n...\n-----END PUBLIC KEY-----",
  "privateKey": "-----BEGIN PRIVATE KEY-----MIIEvgIBAD*****",
  "keysSource": "tenant",
  "_links": {
    "self": {
      "href": "text"
    }
  }
}

Last updated

Was this helpful?